org.jboss.resteasy.plugins.server.tjws

## Class TJWSEmbeddedJaxrsServer

- java.lang.Object
- - org.jboss.resteasy.plugins.server.tjws.TJWSServletServer
  - - org.jboss.resteasy.plugins.server.tjws.TJWSEmbeddedJaxrsServer

- All Implemented Interfaces:
    EmbeddedJaxrsServer

      public class TJWSEmbeddedJaxrsServer
      extends TJWSServletServer
      implements EmbeddedJaxrsServer

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jboss.resteasy.plugins.server.tjws.TJWSServletServer

      `TJWSServletServer.FileMappingServe`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Hashtable<String,String>` | `contextParameters`
    `protected ResteasyDeployment` | `deployment`
    `protected Hashtable<String,String>` | `initParameters`
    `protected String` | `rootResourcePath`
    `protected TJWSServletDispatcher` | `servlet`

    - ### Fields inherited from class org.jboss.resteasy.plugins.server.tjws.TJWSServletServer

      `props, server`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TJWSEmbeddedJaxrsServer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResteasyDeployment` | `getDeployment()`
    `String` | `getPort()`
    `String` | `getProperty(String key)`
    `void` | `setContextParameters(Hashtable<String,String> contextParameters)`
    `void` | `setDeployment(ResteasyDeployment deployment)`
    `void` | `setInitParameters(Hashtable<String,String> initParameters)`
    `void` | `setRootResourcePath(String rootResourcePath)`
    `void` | `setSecurityDomain(SecurityDomain sc)`
    `void` | `start()`

    - ### Methods inherited from class org.jboss.resteasy.plugins.server.tjws.TJWSServletServer

      `addFileMapping, addServlet, addServlet, addServlet, setBindAddress, setKeepAlive, setKeepAliveTimeout, setMaxKeepAliveConnections, setPort, setProps, setSessionTimeout, setSSLAlgorithm, setSSLKeyStoreFile, setSSLKeyStorePass, setSSLKeyStoreType, setSSLPort, setSSLProtocol, setThreadPoolSize, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.resteasy.plugins.server.embedded.EmbeddedJaxrsServer

      `stop`

- - ### Field Detail

    - #### deployment

          protected ResteasyDeployment deployment

    - #### servlet

          protected TJWSServletDispatcher servlet

    - #### rootResourcePath

          protected String rootResourcePath

    - #### initParameters

          protected Hashtable<String,String> initParameters

    - #### contextParameters

          protected Hashtable<String,String> contextParameters

  - ### Constructor Detail

    - #### TJWSEmbeddedJaxrsServer

          public TJWSEmbeddedJaxrsServer()

  - ### Method Detail

    - #### setRootResourcePath

          public void setRootResourcePath(String rootResourcePath)

      Specified by:
        `setRootResourcePath` in interface `EmbeddedJaxrsServer`

    - #### getDeployment

          public ResteasyDeployment getDeployment()

      Specified by:
        `getDeployment` in interface `EmbeddedJaxrsServer`

    - #### setDeployment

          public void setDeployment(ResteasyDeployment deployment)

      Specified by:
        `setDeployment` in interface `EmbeddedJaxrsServer`

    - #### setInitParameters

          public void setInitParameters(Hashtable<String,String> initParameters)

    - #### setContextParameters

          public void setContextParameters(Hashtable<String,String> contextParameters)

    - #### start

          public void start()

      Specified by:
        `start` in interface `EmbeddedJaxrsServer`
      Overrides:
        `start` in class `TJWSServletServer`

    - #### setSecurityDomain

          public void setSecurityDomain(SecurityDomain sc)

      Specified by:
        `setSecurityDomain` in interface `EmbeddedJaxrsServer`

    - #### getProperty

          public String getProperty(String key)

    - #### getPort

          public String getPort()

Copyright © 2014. All Rights Reserved.